Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233230 - PS/2 Mouse not detected in X with kernel-2.6.20-1.2925.fc6
Summary: PS/2 Mouse not detected in X with kernel-2.6.20-1.2925.fc6
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 6
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-21 02:48 UTC by Chris Caudle
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-22 00:24:37 UTC


Attachments (Terms of Use)

Description Chris Caudle 2007-03-21 02:48:00 UTC
Description of problem:PS/2 mouse is not detected by X after updating to 
kernel-2.6.20-1.2925.fc6

Version-Release number of selected component (if applicable):
kernel-2.6.20-1.2925.fc6

How reproducible: every boot (only one machine to check, though)


Steps to Reproduce:
1.Update kernel to kernel-2.6.20-1.2925.fc6
2.Reboot
3.
  
Actual results:
Mouse pointer is not operational in runlevel 5.

Expected results:
Mouse is detected and operational

Additional info:
PS/2 connected Logitech Trackman Marble trackball, via Belkin "Flip" KVM switch.
Mouse is detected and works properly when running kernel-2.6.19-1.2911.6.5.fc6.
Mouse works properly in console mode (gpm?).  Even when running
kernel-2.6.20-1.2925.fc6, if I switch to a different virtual console (i.e. not
running X), the mouse pointer moves as expected, just no mouse in X.

X86_64 architecture
kernel-2.6.20-1.2925.fc6
gpm.x86_64 (i386 version also installed, but my assumption is that the x86_64
version is running)
xorg-x11-server-Xorg-1.1.1-47.7.fc6
xorg-x11-drv-mouse-1.2.1-1.fc6

Grep'ed for serio and mouse in dmesg output:
serio: i8042 KBD port at 0x60,0x64 irq 1
serio: i8042 AUX port at 0x60,0x64 irq 12

mice: PS/2 mouse device common for all mice
logips2pp: Detected unknown logitech mouse model 72

This is the result of search for "mouse" in Xorg.0.log:
(**) Option "Protocol" "PS/2"
(**) Mouse0: Device: "/dev/input/mouse0"
(**) Mouse0: Protocol: "PS/2"
(**) Option "CorePointer"
(**) Mouse0: Core Pointer
(**) Option "Device" "/dev/input/mouse0"
(**) Option "Buttons" "3"
(**) Option "Emulate3Buttons" "False"
(**) Mouse0: ZAxisMapping: buttons 4 and 5
(**) Mouse0: Buttons: 9
(II) XINPUT: Adding extended input device "Mouse0" (type: MOUSE)
(II) XINPUT: Adding extended input device "Keyboard0" (type: KEYBOARD)
(II) Mouse0: ps2EnableDataReporting: succeeded

Hardware is Tyan S3992 motherboard with Opterons, keyboard and mouse connected
through Belkin KVM switch.

Comment 1 Chuck Ebbert 2007-03-21 18:36:01 UTC
The mouse should really be on /dev/input/mice.

Edit /etc/X11/xorg.conf and change every occurence of
/dev/input/mouse0 to /dev/input/mice, then start/restart X.


Comment 2 Chris Caudle 2007-03-22 00:24:37 UTC
You are correct, changing input to /dev/input/mice corrected my problem.
I suppose /dev/input/mouse0 was aliased to /dev/input/mice somehow in older kernels.


Note You need to log in before you can comment on or make changes to this bug.